Jump to content

Leaderboard

Popular Content

Showing content with the highest reputation on 09/22/2022 in all areas

  1. What is problem ? If the Pc recognises the USB then its a valid drive. Sometimes a USB will not be found. Try another one. Just copy the dwg's to it. Dont open in Acad.
    1 point
  2. Ok (LM:setdynpropvalue obj "distance1" (getreal "enter length") ) there is something wrong in the way the block is made maybe need like it to be 1 & 1 in each direction even if the top overlaps. Maybe do a distance1 and distance2=distance1 as a left and right value then distance1 is 3 ie 6/2
    1 point
  3. Try this one, (defun c:testthis ( / MySel MyFile CSVFile acount MyEnt Ent1 MyValue MySuffix) (vl-load-com) (if CSVFile (close CSVFile)) ;; Close 'CSVfile' in case it is open, prevents some errors (setq MyFile (getfiled "Save file as: " (getvar 'DWGPREFIX) "csv" 1)) ;; Select CSV file / make new CSV File (setq MySel (ssget '((0 . "*DIMENSION")))) ;; Select only dimensions (setq CSVFile (open MyFile "w")) ;; Open CSV File to write to (write-line (strcat "Test Override, Pieces, Measurement") CSVFile) ;; Write header row to file (setq acount 0) ;; Counter for while loop (while (< acount (sslength MySel)) ;; Loop for number of selected dimensions (setq MyEnt (entget (ssname MySel acount))) ;; get nth dimension entity data (setq Ent1 (cdr (assoc 1 MyEnt)) ) ;; assoc 1: text in dimension (setq MySuffix (substr Ent1 ( + (vl-string-search "(" Ent1) 1))) ;; get sub-string after '(' in Ent1 value (setq MyValue (vl-string-trim MySuffix Ent1)) (setq MyValue (vl-string-subst (vl-princ-to-string (cdr (assoc 42 MyEnt))) (strcat (chr 60) (chr 62)) MyValue)) ;; MyValue dimension text without '(...)', '42' is measured value (write-line (strcat MyValue ", " MySuffix ", " (vl-princ-to-string (cdr (assoc 42 MyEnt))) ) CSVFile) ;; write values to CSV file (setq acount (+ acount 1)) ;; Increase loop counter ) ; end while ;; end loop (close CSVFile) ;; close CSV file (princ) )
    1 point
  4. This is the algorithm. If you use CAB's breakall routine on your linework and use blocks for the start and end point you should have what you want.
    1 point
×
×
  • Create New...